// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once
#include "ISCW_UObject.h"

#include <memory>

using std::shared_ptr;

namespace Sourcify
{	
	class ISCW_UDataAsset : public virtual ISCW_UObject
	{
	public:
		virtual ~ISCW_UDataAsset() = default;
		
		virtual shared_ptr<ISCW_UDataAsset> ToUDataAssetPtr() = 0;
		virtual shared_ptr<const ISCW_UDataAsset> ToUDataAssetPtr() const = 0;
	};

	using ISCW_UDataAssetConstPtr = shared_ptr<const ISCW_UDataAsset>;
	using ISCW_UDataAssetPtr = shared_ptr<ISCW_UDataAsset>;
} // namespace Sourcify